<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
/**
* 在底部显示系统的运行时长
* 
* @package SiteRunningTime
* @author 上官元恒
* @link http://blog.zhusaidong.cn
* @version 1.0.0
*/
class SiteRunningTime_Plugin  implements Typecho_Plugin_Interface
{
	public static function activate() //这个是插件的激活接口，主要填写一些插件的初始化程序。
	{
		Typecho_Plugin::factory('Widget_Archive')->footer_srt = array('SiteRunningTime_Plugin', 'ShowSiteRunningTime');
		return '插件安装成功，请进入设置';
	}
	public static function deactivate() //这个是插件的禁用接口，主要就是插件在禁用时对一些资源的释放。
	{
		return '插件卸载成功';
	}
	public static function config(Typecho_Widget_Helper_Form $form) //插件的配置面板，用于制作插件的标准配置菜单。
	{
        	$element = new Typecho_Widget_Helper_Form_Element_Text('SiteRunningTime', null, null, _t('系统开始运行时间'), '请输入该博客开始运行的时间,如(2008-08-08)');
        	$form->addInput($element);
	}
	public static function personalConfig(Typecho_Widget_Helper_Form $form) //插件的个性化配置面板。
	{
	}
	public static function ShowSiteRunningTime($archive)
	{
		$options = Helper::options();
        	//判断是否配置好
        	if(is_null($options->plugin('SiteRunningTime')->SiteRunningTime))
		{
            		return;
        	}
		$startTime = $options->plugin('SiteRunningTime')->SiteRunningTime;
		echo 
<<<eof
<script>
	var startTime="$startTime";var calculationTime=function(startTime){var s1=new Date(startTime.replace(/-/g,"/")),s2=new Date(),runTime=parseInt((s2.getTime()-s1.getTime())/1000);var year=Math.floor(runTime/86400/365);runTime=runTime%(86400*365);var month=Math.floor(runTime/86400/30);runTime=runTime%(86400*30);var day=Math.floor(runTime/86400);runTime=runTime%86400;var hour=Math.floor(runTime/3600);runTime=runTime%3600;var minute=Math.floor(runTime/60);runTime=runTime%60;var second=runTime;document.querySelector(".SiteRunningTime > .year").innerText=year;document.querySelector(".SiteRunningTime > .month").innerText=month;document.querySelector(".SiteRunningTime > .day").innerText=day;document.querySelector(".SiteRunningTime > .hour").innerText=hour;document.querySelector(".SiteRunningTime > .minute").innerText=minute;document.querySelector(".SiteRunningTime > .second").innerText=second};setInterval("calculationTime(startTime)",1000);var node = document.createElement("span");node.innerHTML = '该站点运行了<label class="year">0</label>年<label class="month">0</label>月<label class="day">0</label>日<label class="hour">0</label>时<label class="minute">0</label>分<label class="second">0</label>秒';node.className = "SiteRunningTime";document.getElementById("footer").appendChild(node);
</script>
eof;
	}
}
